image:
  distribution: "devuan"

source:
  downloader: debootstrap
  url: http://deb.devuan.org/merged/
  same_as: sid
  keys:
  # 0x72E3CB773315DFA2E464743D94532124541922FB
  - |-
    -----BEGIN PGP PUBLIC KEY BLOCK-----

    mQENBFR97tIBCACZlyH1mNS0KAzJkWYCkfhodP6U/yHufchhCTBCysnlrIfrROXm
    ZDzSqgObpaQa+rGnTfJ8UvCkTVxRlYQY7yjIQhCGZ+aFVwwNMPNGd74tjj2yy7tG
    +yzXtHhYfXr9YJzDfzUuZMhO11W/g0ljSCjCLQUo7ubj0mASCdkDT8BcTDAmKi0V
    O9QUePbWgJ/pgW++7ez6k55wYZpz5Ibh++8R/dqPeOhnd6w/qE71FaGfy6uAKxqR
    tlProzxBKSknt6m0AupPqRGg8AYgUU8VaUkQGIMNN/bf7we1ci0JuxvH9Gz2Puqq
    R73znqWQJHn1g0qqIh05N51kZZz3w3XE+9r9ABEBAAG0RkRldnVhbiBSZXBvc2l0
    b3J5IChQcmltYXJ5IERldnVhbiBzaWduaW5nIGtleSkgPHJlcG9zaXRvcnlAZGV2
    dWFuLm9yZz6JATgEEwECACIFAlR97tICGwMGCwkIBwMCBhUIAgkKCwQWAgMBAh4B
    AheAAAoJEJRTISRUGSL7XQoH/3Cav4UFYFxHvOgAvBDsbOYbs6FvgOTeRxBJDhFZ
    2PmbkyKzKqdBwaruWIkJ3H0q2+fi7OnTkcNynu5viP/I5aqznXzgZ/HqxF6pjhC1
    kNFOW3fFt47ENTyddcxxBcZJnVtaqxPr/eh4ghYmtpnR6IT0wv3HbsnLqW69euRL
    ucF1wdP/9fUAsQ8TVa3JNGM0l+poq/+nUwfbzfUWb/hY0ZQ+5n//nILpJVqYwoZG
    a/8ynPZlmfEMmKlAOAdceU0S/elyKAeTCbdDSGdKQw7PphWN+oPlit2eKUV7MFus
    AGJrP44MPxtaXjwyo4eW+JSVxtLEZdsBZ8wrDbzEr7UraCWJAjMEEAEIAB0WIQSl
    +xNZNF0h00kZ0lQNCnN7F9fVNwUCW9RnxAAKCRANCnN7F9fVN/ezD/9KBu+tWp5k
    3QHlxWQ4vUu5ogRG/nEtI8PDya/qaOI8XELwJkQ3Ptod1NETHcH+EfAMi8+ibUJt
    6HRWgSxFHm6/qHFd203F01iMSrL2764Z1tZQSoNtAaC/TMzF1E1CID2gcnAQh7Sa
    xidEAZ7SvX3SkwsGcIRtCgteDSF5USvb7PWA+ZwXnU9173h1wSvfZccBne75heYz
    6HR401a8nBAa6f5dAefJR7m4EQq9bGY2CcBPPWc+lZdMxdb2b5RhYKaEdi5a5Y++
    hG0zm+0+IcKM5TwhhzN7UWTXEvQ/Napt/6V/ck3emxTheB8yoBr3Ibdajnp1va/B
    EAz8o/Szj8jW2mGLEQh3LSOo4ju0RiYGuqqeb1bIGIZ4m8lN9Chh6Bp0KtyBVhIM
    tIUXaC2EfNYnS0F1Wzyz+2U6Zw7QZaQKA0N9Iw6OkBqlkv5oNuPDV0OQYcglQMni
    0gwCVpMyBkt5ioJ57rwWahvIf+b6J/2AqA+nHXp7hPjaxQEYz+w6tT82DuhoV76S
    I0eTZgNQxKT5tDLVBrWQ0xvwbDlKiQ4KHuOowDan+I726sYpw6dHJ36Abfg82Ot7
    UCNSXKotVVmwPmfRgSnpx/glYW7QWAZ9F/l/qNo2gTeYym8nvEledwaSszoUobzi
    Ls7sP5dek/UXFahfF4iKBeZ+NMyh56qaQYkEHAQQAQgABgUCVyBawAAKCRBzs12l
    Sst9ELBpH/4o4rLLAh/jl+C0pEGgbaa5guOdexc9fALXXodlLHGiaL1l1I7tfvK3
    DJAmk/uD9AZYMpvbpWVocHNBgcev+T+rgNxHlKNJhYinwLBT9DUKAnIcENQuKrgB
    pjRqkaJvh9zbGEkhmcZ/JGQg8fciyjhnmsii9lzDZjXg1jfu3fvZ5oKodTf3rxvE
    OhEq/gX2AvYJHchryR1ghtPYtiCwz0rDKbVO56UcfxEMcp2Gk84NtoLASNtorYcN
    fp/4Uq/2L05A4o3LgGQmLbL6c9Fe3wDCXPs85PkyqWmOK80fKztkv6nD/7TJmFq8
    jWSEwhM59U8EeXdwPyFa9FHFutNBt3VDW6IJRzOOJ0+EUU01Bizmm+IEvysboZ37
    bBDK3pCYzuE5RSWif25kkfAw8T2OZMgo83veGaLgoo1myGqZrLrl388na7xnB6Dt
    E8aSUfzMWAjeJcyFQBI4PZemGwu5QWBCBKNgklcRuyyOLHYiIzsx06wF3UkfnByn
    Sw/6vrUoChbmZbTQdCJ8djPYSeKnJZrRHLW7glcPOjiSk6A06DcLT/kZfyMJJM38
    L61Z4qzfwp0r9O6NzphhQ90IxTGfJPjGnuEP/vR+4h6nOKUTORD7P2CY1NKIF0Ov
    e/pbDSig7agFwvwdOplAYpVuuWEx9lGBckzfgmYqTg07K+nVO5v0oupaeEOwj2Pf
    TgSFcdqiNBEb/+Hdtn6ja8lVcMCu/m/7H9x0SS1M2H3bnr3KbnQHKp5204W+busv
    HZ674wAbtGWDoba3b5TRU/v8xq0A0ODB6FV8cBaIgi3vTufxymgnyXlikKY63Azc
    ek0RSDGIB6CwfexFGy5BWZprfQ5+2k9e1dyg/Gb1NAUlmS0hf5dLyaPxWWnedKoU
    AsizdVVB0a5m5GhAPjm9TJMQfsWYzf1fylXLUoGQ93VdTycI5h0mU8JKzXQSYS0D
    PITg/sOb1ZBXNCbC/1dJW+hJRvAaDGcHuXCCGhRI4mKVj0hnUuyTiPfRbOVBs5DF
    qkuaof7C8YRQzRDAMYpMQ2JmaUGY3HWI7ooN5R7qJPVkqJ7w833QAZ5fZtVVPwrt
    zZrZqWpfyV0QF4hnhPn9PMXDyO5QzXn+1EMKLe1g7NXcb1ubZEoJHDA5gOTIFm53
    rHfaWu8PsB6gWzCN+ZzhS0JzUlbmyi6LHZnjb90bcOvmZVH64BwqR7vjzGJE2rAN
    cFOsgooVtZ/uUeNKtm+cxc0oLnaXTfjKI1MxQfwWyBU38tFHgGWVg535+QOrz4wc
    kj0kmsuaEF6YOUoO3C7l9wtfBj1XmcdznMZmuGHCT7n22AO8Xvz3dFQIFTE6VDyT
    9pyf/Pqhb2JnGGzMPdbKYdmgtw8G6Lc6uQENBFR97tIBCAD1zjFN8p7ZE39nOVIa
    Pflnu8w7HT3MhnBG7C1QcDo8S2LbkkjURUGQcIBFgalL+RJfX+aV7MyLbhDvWktj
    +BHOF20kYYKt/bYgpB0wniT29NQa53X8VOnUtMc+7oaVvOX3jAkNz0gphO8bWwPV
    x3m0Drh752kvShymaobUKD7onS0Hft3SVwb8kPOM6qnN9vUlImOc/xk1hryRZamM
    otG16smQY1kRYBgqwn2jTVLwnv9GLcvytob3t9Mnz6aabEvL0WSgB78i+F/mSMTA
    QN5vt3r2Zdr9X/JFpi0kJv+vM4iboDJsGlOgpNzwmxFzeHbfGW0uXqnFJHrT9Dhv
    Zmi5ABEBAAGJAR8EGAECAAkFAlR97tICGwwACgkQlFMhJFQZIvtGLgf/YFSGxFMv
    nqrBEdN8yZlloMLLA7qM3kivO22CnR4X2CDnxz30k8KFHSjQum3ujJ3hzPzM2RrY
    DiSNJIf0/hGgWw4pOemSmAHxu+cKDOWO7DXcHHOA233QIhSTkj8raip2TYdwhC7Q
    MSYbJEgMft/+igVb4Vz/v2YRUBHWB8UcGc7of0uFZnHCJsKqyPHsD08a/hy+Vzgv
    devjJtCilU01mKqgoD76UuNCA0x8R+ze7iR/yHpqSevpYYMV2MRWLU2vv0DMTUey
    fLa1RF1mS/Zi9N8j59P8bD5fb7QVrgwUqCIQ7W7usW9XSppJpzjEZrHS5XxpyWed
    S6luegg4QTvjFrkCDQRXHtekARAAuSJbAoqd09LFSpmHQj8uSu1nhWcY0xL9VQ09
    owVaookk9MSLZdQnqXRZ/BG9+4eMoTOTq7Kv4548AnveJVaA4VlvjianSku4BEQd
    rN4O1ZNSxI0NiGGa0qmI0N3avcpfE0oU+8j91+mI/lIAz97QVkDMrV7757fty5YN
    K1VWZxVYTMLhzuEsuZzcNhRE4MZflJxKuQeELwMECBEV1PiNLgiV7X8LKJTMx56P
    +q0wF98U3nfb7cd7rshqt1EPnf2OebcmvHlR2a9XoUj/qzWYp21K4YKcs84D4kR0
    2M1zzh5E+RsjHAtxNKoVaO54KjVBIb9pgm85hs0ztgB1HvXgUha0B8mEHsQFlt/l
    jOJsGRFYsz0kfqeR8jqeaK2YAEiyxm7U1WVyACrczMX0zhOrC2b5a2lRcvNNP5sl
    2LUCWZZyAjLd8s7cY6PtJ96LTQdS+kIHu3vWnX5PwchQ4G6KVe4Bvf7+8EYcJTBA
    EDHTBc/bTdpZ4hotYIp/8RRoDqyDFwmDIqaHOVTyqL1igwNzoRDrUTG2z1h000cQ
    L1Rt2RmeXe545bTK2sZjbpdfw984Geb/k0ZYkazR/whw4yf9NgMmNG4bJRuRijNc
    8IGZ2F3nGsHqOJpsdHQbTMk5RUuKcphGxwezhuC6WOwEHpJVVvOY0OVNCjsuEWpS
    x7tZmBcAEQEAAYkDPgQYAQIACQUCVx7XpAIbAgIpCRCUUyEkVBki+8FdIAQZAQIA
    BgUCVx7XpAAKCRCvSeGSGdWMXaATEACMR8r0MaNETIspaMWfjBWgBpAi7+TnPbZP
    uxS47HV5D4Zp1LoBqesz/lfIZR6XxRgGtPgE++LyoAt1s9y/eYiiHf6TeML2aczb
    XizMMQTwc9vrcrIH5C5B9tU+genam8rMZRJwiXDNA7NDmqbmDqSitT43xYZ/4MhW
    expwsUeDtoOdziofS7zmQbwr2JgZWJ96AmOAo8ay51U8udjA8ztNN1opzAo0PReD
    9Uybrd7K0NxPmEzgag/4WwG1jG0DwkMu7ypz9yXS5gIIdvDX2do9BdVZSIL3Gu7d
    c43mVYX38Ow2j3gIQc60stB0vBo2NIO2Aw8DU1otzZdEdEl79iHyznBB0MsqqqSa
    i/cStSodTN75HFBvlGzG/8MYDZIGNqioh6Q3wQm/yacXzBF5NvWpycaKp/RM9/Hr
    NMZjjhX2uDmyyCEIEJx73tTTsD9VwBF0DujzOr/T7XrAmAb90/wZlwHB1gl3OQRx
    /of5CSbDQPlHsV0S9fC83utd1uYbZUqcMz+VtROk16jlX0xO6dHjQD94AdcpA8zV
    yvKq5h0zUBjlHtiY+6KTQvEQyQY5CA03dWOPE60tNaH9fyC+1AfyWBjwGXYpaqyf
    GRmGtNX9QuvLkwec4dFrDzkCIQKlOhHFRc0kdczE1dOTfRKbsGk6Gm1tlzt0h5iM
    +P7jGytB4nw3CACINmqZshTs/c8fXe5RDxKDXkX12WKoBbOGg89JJdJe7fJXZTPW
    6RtleNR+4H+LiKUZNkRoGVYK9RXsKOOaJVjpFf/NICvDYb+m6xq/dJQL/HdkmbS7
    AhBRZ21mSqVW0srr8XtBRbmLsPJoB2QgKhXSf55ZyvcoMZj+2787c9r8/JCl66Jz
    sDoQn4xA7IuQacG0kGPJqZsEuq7p6me8fuPjpXXB7LOr9NqNPqsDj2KKnwBL8krV
    E0x5X1LJnvQKrCsceOshQ+5Y25aRr7aYytYa8aLCnElsdTPF/VtmlelvNocwXbeM
    /PuJeoTcAb9tb+H7Uz3ro0NkhcycRtRbdo7N
    =vUE1
    -----END PGP PUBLIC KEY BLOCK-----

  # 0xE032601B7CA10BC3EA53FA81BB23C00C61FC752C
  - |-
    -----BEGIN PGP PUBLIC KEY BLOCK-----

    mQINBFmtJcYBEADCvGLp+q6JYDrmNx8kVfuZhsj8pQM0xp289zuxzcF8eKioM5XC
    1cF1bo4BB7SPBRlYma8WaO5r2rSCDMYY5o3rg/AoZjhbseSERL1c2b6XTqeE90RS
    SS1a5/SxcnDbRFcPtIsoJNmenCtNXREJiXVIlkwQ0FnPXspOz1sVsWVBnqzNRFbz
    v8tf04ZDrN+XNNRTP855N1gOdEd3yJ0omGYwYVICoxSw8BP5jqU8P/5QuAITP8HM
    n1OjWq0VzSyQNBNHShKVqNHjNzehOxT8L2qBjGjno1nkEWPULWVMMARkDU9aIZUV
    SmzGaBRwnofYiwR392nntRRaUJ4j57eHkuvbcvcNT6ZUXVU0x5SVYZLOrLcxhbGd
    AXd2j7pTqMJRk2z025C3v4yTSPr1jgoYmY5qsih1/qbWHrxdHCOLiJkBgDfOvP9M
    ZgaftO8X8RvCzcYwJKj7VS5htiSi53cYtVH9iUsi/78fCYyoG5PFjeaz+U+UFzd6
    GvXuHWV+n+iybFv17MWZUEiLcuq7QzM4nzx9jHkaOAen/EW/gPGFN5RneZo4ycel
    +/5JLIlJHGzXfqXeHydEm6l7iG5K60mnyg+xa/Qkg+Wl+83px2rpaQ8pxTC6eFqj
    8YLr9mn2PnpyyqUJgVQsif+w60MhBjsfGuuPkCHh5GWRQ6p0tgVL4uzsTwARAQAB
    tEBEZXZ1YW4gUmVwb3NpdG9yeSAoQW1wcm9sbGEzIG9uIE5lbWVzaXMpIDxyZXBv
    c2l0b3J5QGRldnVhbi5vcmc+iQEcBBABCAAGBQJZrSZsAAoJEJRTISRUGSL7u6EH
    /1uq4lHdrHskHTUfkpAzx0ZYTutHeXOCzpPvLnnrNinb54+1Ci+IczyaKHmonZfG
    p77sWacYJ4qsLE3feBXusVRWfN3J2ie6+99Pt8D6RIznouDzeeOdVWhKXFVTpy6n
    //4VP+z25HXlRXZKDc9EmARaNO6/hLwGsXPNqroMe4+Xc5qHYjQi8p+XjAKmniKU
    G5oraVOuUpxnbO0jbCJ2cjU/opGHV0fNN/xmdSFtwCflOCV594icTagHd3IsWtTA
    riw98K9zlqNgsdOAWXyM4YSdsdFbPMfNssMioBVOjEySY9HqmT24WJdPKU77jLWH
    +uUqD/ikL91UgbHlafDwXd2JAlQEEwEIAD4WIQTgMmAbfKELw+pT+oG7I8AMYfx1
    LAUCWa0lxgIbAwUJCWYBgAULCQgHAgYVCAkKCwIEFgIDAQIeAQIXgAAKCRC7I8AM
    Yfx1LBLgEAC6Jw9T5smEF/0uuWd6Aw1Gbvym9kMAlPNjNOeKnqZnmfcYQ/zVIo6b
    ZSV+/RlRF8uGSJzQB7POlXx5CgPUVMbnkO8+cItVPH8N8EJfLPm4zZmg9LieYnzJ
    NLnwV0skcyD+QiElvrFyl0VwfcjlovwvpiAe6TlAaM1hwfgRz1kh7jJNS1QBAL7I
    38VxlyjqYg3JNigAHZxHrVzZfEwCKJVo+RO6KAWp/v4M8djSaiftQVzWlHmrj0xP
    4Huv7r/auZXUfdZWfIVZPmYUNDBDAIOU0wEpBAZ7k0sShuTqEIf5c7NLdDbmsM8l
    yI/5lIHTCuq+zcj5qu+5y4HrcDRAx/rGPs7AMhf+arvJ8f6O7UOFceGC5Qo/c+aO
    blV6MGtvuYh5zdd7oKhDUZFomQ8gC6n0wkprxQ37lgk3SkEepg5OLJv5h/Dg+WPk
    bBZ6P+Kw30gT5lU5AOx6/kSmFA4fMqXCHE2RRN9vJbiJVs4wrW9wAb0pg4Mozaxk
    w7+qaCnZQML+AUQnXBFmJ7gUOvz9rG3rAxazMvN52BIa3K/lIphL0sVSnzGcyaBi
    PtEmDBW2DM2HO6BvoftPLI4XHHHEmhVQi/sH4L58wQtQnPrgKYIh1650/PjUJ7rs
    jBOyG5/KwKpW6i+5mV3AwFT+GQ5MZL3wHUrkngMOSTiiLOoAWc4GHokEHAQQAQgA
    BgUCWa0mpQAKCRBzs12lSst9EIutH/wKgUXhrx1BC2DApJDhntH5KhRMb3WGGtDB
    BCzXyfNXc/C1WCcz21PSCzZqqEWzxpeN135DGrgSimibZx+SQE8R8O7ImlA9/+S6
    ZlpltfPD+emLd6N44bNOHjX3n5zNaWxcNYptVgBdExTPjzG363qnfjD5faV3LeTM
    1IyvNs4t4Q7W+VBRjfzR1Tvanx2ZKcq3YD2PVSiwXHFTdLI6BSE1FNO7C4kM853L
    F8F+OWjBm7kdw3Qdx/jXxljKfEnWmgFIiIURAHHi3TjEtbPd9TOnWUM2xGIfrch4
    1LsU67DcDCah7HUu1YYK8KXqoIbgLZSx/23F3RsldjrtJ60Dn31z+CkAp979dBTx
    e13Jkomdk85ir951NZMWY6EixQGl4xybJVX7MAv2oBwD8tyWyogPUM+BZqfEj5ZD
    hlRpyKIjy8msU0dSvJeTbZcYyucFMYSsOmvNTkuxsyOr+XBcGXc4GGMwW44RgnAz
    08U77YyoaeEWw4knhUerCGW56DNtAGSkRXtQELnA+m5cspQrnvm+9OXqLzpH7hGD
    WJ4uSDDg616owUXZesenzeWCnpH03TDIVADbieH/X4cwba6dumb8BU+3p1sEA1Lx
    rT/Y1tEsnBfl8HFtoib4uYnqcMkLyKpFMjiJv0XHNIMOhYrXOli/fu/3rJ4zj5pQ
    ezfxst5EQXKZKgLCifdx+14AEin+IOnwbLjDYEwdeXv9ZoDh5mKdVeYMjke+LYwU
    9FpCZCFx+ponx0QUIFZfYDbNTUQZOta4lVPhwSKp1lKQLf9OWkE0pPGmbK2xE/+K
    7JQQ9p3yy4V4hOksF5jy9MRM3qPzqnnJuP2KpMlfMkm6Rwvw92r2mXNDA5nX0Z1O
    LFk6FcEjBvdZqV2hU2WK+s6SoDHgvK14xqRB+HdBZYNJC9tHp8/7D8D1kEj9nyi/
    /ogapJatZAE1RZ8cG+GsS6TI6V7nEKOSBfNeOS5CsjQronNzjQpQcGV1nN3a3wrn
    MdqCkOR8eEgFFdNgUIR9sCtx1B1sPu9WSfRXsIbU3N770wfNCe9i9INzUAYJmkUM
    PPuJ0ibv0ZN0wKgdJQoM7Z+Go2+tpQJ/6jHXO+Ovp7J+oTiOTm0Eg+ICjnuM+y1p
    Qody/401UvT/m0OeecPdzzYESVIHJw9UvNkoOl7QC830LUKLpansXT9nKEEyCtyq
    Vq1w+KCDDG9B1bhk50DyoYVt63YIIkuwqzPYgwfpt+Kipa8cUwu/8gXqaVnuyNlg
    ieG1mNPoqhLXHITJnoNx3dwPZ30wDXYqqdX5Kd/WLctFSMI+sBXHruadqtrJmNRT
    qHZyTDaZptYYGpnGuKlFtvQrQiVIj8mjV59b1+aKqqklXLBqQGOniQQzBBABCgAd
    FiEEAzN2cf3nW7aoXskfuHbLRPobAnQFAlpniTkACgkQuHbLRPobAnSVOCAAuwOg
    uC7dk5iEZ02ot8onRIZ4Y66UrmUaA95d3yVYWnMTGQ6szW6Ap9KZy97fRMMsFE2F
    YHQdpoz1RGcCBW8bsDFDLOstTwJrG0AJTBL0dQJanKsPy6l050d5JTJ7rjm3p0oL
    s/V0mKp/CA3zs0+S+LBJTsXB3gpy85mI7QSAcCTq8gBTjpfC5AUkKbXx/kLOFI5x
    Gc/2y6j/ugLNPnk5YovU/W4AKLTC+410v1G8TOwLVrke/aNWDxi6Sp+KQIvdGWhU
    YRMRYEL97QtS2DpgTUrw6RbfjO0fJeh0eXh9AWLOSAATnQq/9MqQjS/FgxM+WBKP
    oy0yVRebPS70in/2WQN59GzBypflRs+VKQr1H18ZLa9pb1Vwhec31BkIGFL4cHxC
    5G4fl/Zq63cpYzYnWBerG7UyRtUKyietDYINR9yrZCQNflVcZlRUANu3F2ziT1Om
    WjQp+oSafYw6quILSh6tS5liSVsjjm76r07tYq0ruJ3YD3mavMX53Cmf16MwIXxF
    KsksGKB0TFfwV/MwXALbpVhJyLbK2A6VkAvMngHJebPTlpLjZPyqWRWNTRXbi7ai
    gi8wihHvndiLYqzbJRTs4m+VzU83E3syxAA8LeKeDj0KvvPwJJ4btDQTYoIkFQ0f
    AC7PPzp4ZPOlROvB6dDS/KpVdyoirXZckbs3ehh8XA5pFRm6X871c9FipdqwaZp4
    3tWsQ5sNEAbMTdzWzQUSGeeVZ9uLd0hmt01ehnL3Kr53R2B+fXPPuKMQGFzV+Uug
    yMCvWsURTx/NmG8+ldxL0SP68LqHMh0dgn33XVdCcu6EnXxr+f4NExt08IX2Bvmw
    Yv+SpP8XRupgeg8yAA0zMH1WDlIyeV/4SaMX2ecTjBitTQuQ12NOzlMR/hSGElNq
    Rr9rlgaptRBT80Mv1gNn9gehpcrsNRvGhknT/IfWgQ7/q87m67w9VKxHdKEY4Ekn
    6/Ldjg/6W9CiSpKt6kwA4MZ5W1pxT33JQuE3vy8373NAmgdbzqXD0qBJW+7r++5h
    bzvfeZf3bz/fm2RD3+RI99MqpqdWrtwB/fqqkk7IbKhlOPD+64Bt3AKkv7ae6Voo
    Hv4CDWN16G3gshVXoGoYYSnMI4kxfRZtBFVaacT+NnxGK9l2Ftza3kknCTMABFSs
    H+RVUXihHifnva20F0vDq6FMAr0m7QwsBaRypDF0a0D5lv9N9OABHMfRiOKV92/5
    JTHs28GTi6N7SUsMY8FwsRrYlLa/HK5vab3Uh/FrDVGwQDF2F7rsLRccHLStXPo+
    fsiWY1/z/n1A73dcGR6vnmfDiOKlPdL7ZRpMzGO/168wAifevKuA8WL4V/jMpeiw
    PhrP5KDomjfMx+a9BrkCDQRZrSXGARAAz+EFMfF+Qq60N2Zs7Id6QjTBzYlbQ2xS
    dJcF0EKyEH9vQIszYQL2sTjJTgay96rI+UOp1NMT8V7FaDbCg4TAZaWtNgRMJIMg
    8qhfZgyzP9OEoPTsBPMJz8qRdaLSgbi7Ij3Rgra/aF1npeLXZp0gGYZV3elYLlfJ
    MwMFm7FkyyX/EcdXmoGqXPZTqF6t7m29N05BIj2k+1i5gRfxJMad75s6mMPv7mIb
    TjuAnqERMvv/bop9XMLD6ecQRMm4Jilul2Uy2KVp6T75y00FEvyKxArNHwAXXzj3
    u0k5aLs2/iC3A031Gy5iWjlnpky+ZwIYLi8084AI6vWF/qYa0esAbrQHGXOes311
    Mj6sNMlj4sSu6PFWXI4yB3OREJfWGKurzQY6PCdeqqMbAzTrMsw7fKSILicahI1L
    IO5m+BR8WpVXkwuj585YqbPmRNqB0Ims8Zr6JCBlxtEZdfGAkQ3q/tgx20K5p3Ww
    ED3SDSRMVlRS+hWkopJcq2uB/YgtNhP236tGE7cWODPa4it+9CQkEYk8TUO4eBf+
    VDqibNtTYcbEVrWqSVI64RSTvx8yAL7bqYlCCGJxDawyeY3F1O5ByKYIlPcLHw0a
    3HuR24KrwSKDxJuXgEE1Fhl0qbXu1Hiu8wYgbIaoluSPWwqjive7oyF2kdbMCxuL
    D4yid06tao8AEQEAAYkCPAQYAQgAJhYhBOAyYBt8oQvD6lP6gbsjwAxh/HUsBQJZ
    rSXGAhsMBQkJZgGAAAoJELsjwAxh/HUsydMQAJPv+bx0u5Bn3HWgHrmy6WYzio/+
    KDaiiXGs5mUXihb/0Avrir5raweUZ8ENzTk4ljtrleqnBXXzvLKC9/TvCNHMVH2g
    1SdHyO012Cauv1y5oz5QwEhlDFlk/DgIyCTE/35LBDzIT93vc94Z5xgtazFGYxwQ
    oY3IoxqsRwUkvXFePaJP5pRZGWpWngw6kVviNByah7aEvVMzUbUY5ad/Ldk4GUd4
    J7GR1RxO2L3Yir/aFziQMP7UzAY5CVm486vYwmTy34TUtX7nw2UnDir/xsaopkDv
    AijxdyMaZeJ8zszqUAYZ9nJi9fWMUlTZ7ZzWkncVruGUcTe2uVsh+uzkxswZ2rX9
    IwfSG0KwipUhOzXufYjsBwzxrZPW5USE3BMvkPEscLLuAYYnhDBhXDA5+dQzGktH
    AEypIUVJ7lKuH6UusRt+n2THcdW3PfUwq8/L+SyC0AN+u9aPVTMIgJ22i3DUpOH4
    S+RJuyo6BzzdagLovCEnOzXrH/I7Q46H9/oNCli8fHhjpJKM39VAjQ8gxZmR+ZIb
    pYdkOonvk+OVAZ5oXiDXCEjOkXhJPQF4qzhT/xdB0lqAZrpkypJyuMqZ14PJP6jX
    pxqZzPLqv7B2FgBEtlKbSDtWfmcOg7XXJS3jv0o0xhQxLSaBKfe4OIC/5g7+XZh/
    iPkHezixvatQx4EE
    =Jm9Z
    -----END PGP PUBLIC KEY BLOCK-----
  variant: minbase

targets:
  lxc:
    create_message: |-
      You just created a {{ image.description }} container.

      To enable SSH, run: apt install openssh-server
      No default root or user password are set by LXC.
    config:
    - type: all
      before: 5
      content: |-
        lxc.include = LXC_TEMPLATE_CONFIG/debian.common.conf

    - type: user
      before: 5
      content: |-
        lxc.include = LXC_TEMPLATE_CONFIG/debian.userns.conf

    - type: all
      after: 4
      content: |-
        lxc.include = LXC_TEMPLATE_CONFIG/common.conf

    - type: user
      after: 4
      content: |-
        lxc.include = LXC_TEMPLATE_CONFIG/userns.conf

    - type: all
      content: |-
        lxc.arch = {{ image.architecture_personality }}
files:
- path: /etc/hostname
  generator: hostname

- path: /etc/hosts
  generator: hosts

- path: /etc/resolvconf/resolv.conf.d/original
  generator: remove

- path: /etc/resolvconf/resolv.conf.d/tail
  generator: remove

- path: /etc/machine-id
  generator: dump
  content: uninitialized

- path: /var/lib/dbus/machine-id
  generator: remove

- path: /etc/network/interfaces
  generator: dump
  content: |-
    # This file describes the network interfaces available on your system
    # and how to activate them. For more information, see interfaces(5).

    # The loopback network interface
    auto lo
    iface lo inet loopback

    auto eth0
    iface eth0 inet dhcp

- path: /etc/apt/apt.conf.d/01lean
  generator: dump
  content: |-
    APT::Install-Suggests "0";
    APT::Install-Recommends "0";
    APT::AutoRemove::SuggestsImportant "false";
    APT::AutoRemove::RecommendsImportant "false";

- name: meta-data
  generator: cloud-init
  variants:
  - cloud

- name: network-config
  generator: cloud-init
  variants:
  - cloud

- name: user-data
  generator: cloud-init
  variants:
  - cloud

- name: vendor-data
  generator: cloud-init
  variants:
  - cloud

packages:
  manager: apt
  update: true
  cleanup: true
  sets:
  - packages:
    - devuan-keyring
    action: install
    early: true

  - packages:
    - ca-certificates
    - curl
    - dialog
    - dnsutils
    - htop
    - ifupdown
    - iproute2
    - iputils-ping
    - isc-dhcp-client
    - less
    - locales
    - nano
    - net-tools
    - netbase
    - openssh-client
    - rsync
    - sudo
    - sysv-rc-conf
    - sysvinit-core
    - vim-tiny
    - wget
    action: install

  - packages:
    - cloud-init
    action: install
    variants:
    - cloud

  repositories:
  - name: sources.list
    url: |-
      deb http://deb.devuan.org/merged {{ image.release }} main
      deb http://deb.devuan.org/merged {{ image.release }}-security main

actions:
- trigger: post-packages
  action: |-
    #!/bin/sh
    set -eux

    # inittab if missing
    [ ! -e "/etc/inittab" ] && cp /usr/share/sysvinit/inittab /etc/inittab

    # Fix container shutdown
    sed -i "s#^pf::powerwait.*#pf::powerwait:/sbin/poweroff#" /etc/inittab

    # Disable getty
    sed -i '/tty[1-6]/s/^/#/' /etc/inittab

    # Make sure the locale is built and functional
    echo en_US.UTF-8 UTF-8 >> /etc/locale.gen
    locale-gen en_US.UTF-8 UTF-8
    update-locale LANG=en_US.UTF-8

    # Cleanup underlying /run
    mount -o bind / /mnt
    rm -rf /mnt/run/*
    umount /mnt

    # Cleanup temporary shadow paths
    rm /etc/*-

mappings:
  architecture_map: debian
